cascading.operation.assertion

## Class AssertMatches

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.regex.RegexOperation<Matcher>
    - - cascading.operation.regex.RegexMatcher
      - - cascading.operation.assertion.AssertMatches

- All Implemented Interfaces:
    DeclaresResults, Assertion<Matcher>, Operation<Matcher>, PlannedOperation<Matcher>, ValueAssertion<Matcher>, Traceable, Serializable

      public class AssertMatches
      extends RegexMatcher
      implements ValueAssertion<Matcher>

  Class AssertMatches matches the given regular expression patternString against the whole argument `Tuple` by joining each individual element of the Tuple with a tab character (\t) unless otherwise specified. See `AssertMatchesAll` if you need to match the patternString regex against each individual tuple element.

  This operation uses `Matcher` internally, specifically the method `Matcher.find()`.

  Note a `null` valued argument passed to the parser will be converted to an empty string (`""`) before the regex is applied.

  Any Object value will be coerced to a String type via any provided `CoercibleType` on the argument selector or via its `toString()` method.
  See Also:
    `Matcher`, `Pattern`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.operation.regex.RegexMatcher

      `DEFAULT_DELIM, delimiter, negateMatch`

    - ### Fields inherited from class cascading.operation.regex.RegexOperation

      `patternString`

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertMatches(String patternString)` Constructor AssertMatches creates a new AssertMatches instance.
    `AssertMatches(String patternString, boolean negateMatch)` Constructor AssertMatches creates a new AssertMatches instance.
    `AssertMatches(String patternString, boolean negateMatch, String delimiter)` Constructor AssertMatches creates a new AssertMatches instance.
    `AssertMatches(String patternString, String delimiter)` Constructor AssertMatches creates a new AssertMatches instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAssert(FlowProcess flowProcess, ValueAssertionCall<Matcher> assertionCall)` Method doAssert performs the assertion.
    `boolean` | `supportsPlannerLevel(PlannerLevel plannerLevel)`

    - ### Methods inherited from class cascading.operation.regex.RegexMatcher

      `equals, getDelimiter, hashCode, isNegateMatch, matchEachElement, matchEachElementPos, matchWholeTuple, prepare`

    - ### Methods inherited from class cascading.operation.regex.RegexOperation

      `getPattern, getPatternString`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

- - ### Constructor Detail

    - #### AssertMatches

          @ConstructorProperties(value="patternString")
          public AssertMatches(String patternString)

      Constructor AssertMatches creates a new AssertMatches instance.
      Parameters:
        `patternString` - of type String

    - #### AssertMatches

          @ConstructorProperties(value={"patternString","delimiter"})
          public AssertMatches(String patternString,
                                                  String delimiter)

      Constructor AssertMatches creates a new AssertMatches instance.
      Parameters:
        `patternString` - of type String
        `delimiter` - of type String

    - #### AssertMatches

          @ConstructorProperties(value={"patternString","negateMatch"})
          public AssertMatches(String patternString,
                                                  boolean negateMatch)

      Constructor AssertMatches creates a new AssertMatches instance.
      Parameters:
        `patternString` - of type String
        `negateMatch` - of type boolean

    - #### AssertMatches

          @ConstructorProperties(value={"patternString","negateMatch","delimiter"})
          public AssertMatches(String patternString,
                                                  boolean negateMatch,
                                                  String delimiter)

      Constructor AssertMatches creates a new AssertMatches instance.
      Parameters:
        `patternString` - of type String
        `negateMatch` - of type boolean
        `delimiter` - of type String

  - ### Method Detail

    - #### supportsPlannerLevel

          public boolean supportsPlannerLevel(PlannerLevel plannerLevel)

      Specified by:
        `supportsPlannerLevel` in interface `PlannedOperation<Matcher>`

    - #### doAssert

          public void doAssert(FlowProcess flowProcess,
                      ValueAssertionCall<Matcher> assertionCall)

      Description copied from interface: `ValueAssertion`
      Method doAssert performs the assertion.
      Specified by:
        `doAssert` in interface `ValueAssertion<Matcher>`
      Parameters:
        `flowProcess` - of type FlowProcess
        `assertionCall` - of type ValueAssertionCall

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.